errore aggiornamento da 2.4.15 a 2.4.16

Sezione dedicata ai problemi con l'installazione e l'aggiornamento del software, con discussioni sulle configurazioni di specifici server o fornitori di hosting.
Maxco82
Messaggi: 5
Iscritto il: 31 lug 2020 08:54

errore aggiornamento da 2.4.15 a 2.4.16

Messaggio da Maxco82 »

Buongiorno,
innazitutto complimenti per il vostro progetto, è molto completo!!
oggi ho tentato di aggiornare la versione 2.1.15 a 2.4.16 e purtroppo non è andato a buon fine,
nel log setup trovo questa dicitura:

[2020-07-31 08:23:47] Logs.EMERGENCY: Aggiornamento fallito: ALTER TABLE `or_righe_ordini` ADD `id_dettaglio_fornitore` int(11) NULL, ADD FOREIGN KEY (`id_dettaglio_fornitore`) REFERENCES `mg_fornitore_articolo`(`id`) ON DELETE SET NULL []

se tento di aggiornare la pagina mi viene indicato: E' attualmente in corso la procedura di aggiornamento del software, e pertanto siete pregati di attendere fino alla sua conclusione.Nel caso il problema persista, rivolgersi all'amministratore o all'assistenza ufficiale.

Potete aiutarmi?
Vi ringrazio anticipatamente.
Un saluto
Matteo

Avatar utente
dasc3er
Messaggi: 1168
Iscritto il: 11 lug 2016 17:41

Re: errore aggiornamento da 2.4.15 a 2.4.16

Messaggio da dasc3er »

Ciao Maxco82,
potresti provare ad effettuare una modifica al file update/2_4_16.sql e vedere se l'aggiornamento riesce a procedere?
Dovresti provare a sostituire tutti i

Codice: Seleziona tutto

int(11) NULL
in

Codice: Seleziona tutto

int(11)
del file update/2_4_16.sql (https://github.com/devcode-it/openstama ... 16.sql#L86).
Dopodichè, aggiungendo ?force all'URL, dovresti essere in grado di far riprendere l'aggiornamento.

Se invece necessiti una versione perfettamente funzionante e non hai tempo per effettuare test, ti consiglio di ripristinare un backup.

Maxco82
Messaggi: 5
Iscritto il: 31 lug 2020 08:54

Re: errore aggiornamento da 2.4.15 a 2.4.16

Messaggio da Maxco82 »

grazie per la celere risposta,
non va a buon fine,
[2020-07-31 14:43:57] Logs.EMERGENCY: Aggiornamento fallito: ALTER TABLE `or_righe_ordini` ADD `id_dettaglio_fornitore` int(11), ADD FOREIGN KEY (`id_dettaglio_fornitore`) REFERENCES `mg_fornitore_articolo`(`id`) ON DELETE SET NULL []

grazie mille

Avatar utente
dasc3er
Messaggi: 1168
Iscritto il: 11 lug 2016 17:41

Re: errore aggiornamento da 2.4.15 a 2.4.16

Messaggio da dasc3er »

Posso chiederti di effettuare un altro test?
Sempre sulle stesse righe:

Codice: Seleziona tutto

int(11) NULL
in

Codice: Seleziona tutto

int(11) NULL DEFAULT NULL

Maxco82
Messaggi: 5
Iscritto il: 31 lug 2020 08:54

Re: errore aggiornamento da 2.4.15 a 2.4.16

Messaggio da Maxco82 »

Perfetto!
funzione egregiamente!
mi avete salvato un sacco di lavoro!!

grazie mille!!
un saluto
Matteo

Avatar utente
dasc3er
Messaggi: 1168
Iscritto il: 11 lug 2016 17:41

Re: errore aggiornamento da 2.4.15 a 2.4.16

Messaggio da dasc3er »

Grazie a te, Matteo!

lexen
Messaggi: 66
Iscritto il: 02 gen 2018 05:46

Re: errore aggiornamento da 2.4.15 a 2.4.16

Messaggio da lexen »

Stesso errore anche per me.
Non riesco a risolvere ho anche provato ad istallare direttamente l'ultima versione.

Avatar utente
dasc3er
Messaggi: 1168
Iscritto il: 11 lug 2016 17:41

Re: errore aggiornamento da 2.4.15 a 2.4.16

Messaggio da dasc3er »

Ciao lexen, potresti indicare versione di PHP e MySQL in utilizzo?

lexen
Messaggi: 66
Iscritto il: 02 gen 2018 05:46

Re: errore aggiornamento da 2.4.15 a 2.4.16

Messaggio da lexen »

PHP Version 7.3.12
mysqlnd 5.0.12-dev - 20150407

Avatar utente
dasc3er
Messaggi: 1168
Iscritto il: 11 lug 2016 17:41

Re: errore aggiornamento da 2.4.15 a 2.4.16

Messaggio da dasc3er »

Saresti in grado di provare ad aggiornare MySQL almeno alla versione 5.7?
Il problema potrebbe essere proprio legato al fatto che la versione in utilizzo è troppo vecchia... Anche se non so dirti per certo, perchè la query che causa il problema di occupa semplicemente di creare una nuova colonna e aggiungere una chiave alla colonna appena creata.

Rispondi